Closed Bug 1294536 Opened 5 years ago Closed 5 years ago

[non-e10s] document keydown event with dom select() function after synchronous ajax

Categories

(Core :: Widget: Win32, defect)

48 Branch
x86_64
Windows 7
defect
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla51
Tracking Status
e10s - ---
firefox48 --- wontfix
firefox49 --- fixed
firefox50 --- fixed
firefox51 --- fixed

People

(Reporter: maiconschelter, Assigned: masayuki)

References

Details

(Keywords: regression, Whiteboard: tpi:-)

Attachments

(3 files, 2 obsolete files)

Attached image BugExample.png
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:48.0) Gecko/20100101 Firefox/48.0
Build ID: 20160726073904

Steps to reproduce:

When use the DOM native function select() after a synchronous ajax, on document keydown event, the method has been clear all content in the input type field, but the value is not modified. This behavior only affected after version Firefox 48.0, tested in versions 48, 49, 50 and 51. In version 47.0 or less, not occurred.

Example:
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title></title>
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script type="text/javascript">
        $(document).ready(function() {
            document.addEventListener('keydown', function(e){
                if(e.keyCode == 13){
                    doAjax(e);
                    $('#target').focus();
                    $('#target').select();
                }
            });
        });
        function doAjax(e) {
            $.ajax({
                 async : false
                ,url   : 'http://www.mocky.io/v2/576d3dc3100000a90b5fdc9e'
            });
        }
        </script>
    </head>
    <body>
        <input type="text">
        <input type="text" id="target" value="123" style="text-align:left;">
    </body>
</html>

Steps for test:
1. Create the file with above the code.
2. In first input press ENTER.
3. The second input clear the content, but your value exists.


Actual results:

Press ENTER on first input, call the synchronous ajax, after focus and clear all text of second input, but your value exists in DOM attributes.


Expected results:

The same behavior of versions 47.0 or less, press the ENTER on first input, call the synchronous ajax, after focus and select text of second input value like "123".
Severity: normal → critical
Component: Untriaged → General
OS: Unspecified → Windows 7
Hardware: Unspecified → x86_64
I cannot reproduce it.

Some questions:
1. Does it happen with local file?
2. Does it happen with safe mode and clean profile?
Flags: needinfo?(maiconschelter)
About questions:
1. Does it happen with local file or in HTTP Server.
2. Does it happen with clean user profile and clean all cache.

See the video demo here:
https://www.dropbox.com/s/8uk75rour68xeo8/BugFirefox.avi?dl=0

I try reproduce this problem in JS Fiddle, but does not occurrer.
attribute doesn't reflect the input's modified value.
So, it's likely the input's value is just removed somehow.

can you try finding the changeset that introduced the issue, with mozregression?
http://mozilla.github.io/mozregression/
Tested using mozregression, there are the results. Occurred crashed in version 48.0a1 (2016-04-18), only if use synchronous ajax, if change to asynchronous ajax, not ocurrer error. The error ocurred exactly after finish the ajax request. See the prints here: https://www.dropbox.com/s/84sltsc3b4e4zaz/BugFirefox.zip?dl=0.

REPOS:
https://download-installer.cdn.mozilla.net/pub
https://archive.mozilla.org/pub

INFOS:
app_name: firefox
build_date: 2016-04-19 00:23:49.994000
build_file: C:\Users\internet.pd\.mozilla\mozregression\persist\53252c783a43-debug--mozilla-inbound--firefox-48.0a1.en-US.win32.zip
build_type: inbound
build_url: https://queue.taskcluster.net/v1/task/bpA3_cY5Th6WWMxgIBfiiQ/runs/0/artifacts/public%2Fbuild%2Ffirefox-48.0a1.en-US.win32.zip
changeset: 53252c783a434673b8c56728c2273f984883bc53
repo_name: mozilla-inbound
repo_url: https://hg.mozilla.org/integration/mozilla-inbound
task_id: bpA3_cY5Th6WWMxgIBfiiQ

LOG:
2016-08-12T14:09:18: DEBUG : Using url: https://hg.mozilla.org/integration/mozilla-inbound/json-pushes?startdate=2016-04-18&enddate=2016-04-19
2016-08-12T14:09:20: DEBUG : Using 474de3dea4ab62ce2173be7658acc8b34a74bb9c (pushed on 2016-04-18 00:06:38) for date 2016-04-18
2016-08-12T14:09:20: DEBUG : Using 53252c783a434673b8c56728c2273f984883bc53 (pushed on 2016-04-18 23:23:35) for date 2016-04-18
2016-08-12T14:09:20: DEBUG : using taskcluster route 'gecko.v2.mozilla-inbound.revision.53252c783a434673b8c56728c2273f984883bc53.firefox.win32-debug'
2016-08-12T14:09:26: INFO : Running mozilla-inbound build built on 2016-04-19 00:23:49.994000, revision 53252c78
2016-08-12T14:09:31: INFO : Launching c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\firefox.exe
2016-08-12T14:09:31: INFO : application_buildid: 20160418162432
2016-08-12T14:09:31: INFO : application_changeset: 53252c783a434673b8c56728c2273f984883bc53
2016-08-12T14:09:31: INFO : application_display_name: Nightly
2016-08-12T14:09:31: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2016-08-12T14:09:31: INFO : application_name: Firefox
2016-08-12T14:09:31: INFO : application_remotingname: firefox
2016-08-12T14:09:31: INFO : application_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-08-12T14:09:31: INFO : application_vendor: Mozilla
2016-08-12T14:09:31: INFO : application_version: 48.0a1
2016-08-12T14:09:31: INFO : platform_buildid: 20160418162432
2016-08-12T14:09:31: INFO : platform_changeset: 53252c783a434673b8c56728c2273f984883bc53
2016-08-12T14:09:31: INFO : platform_repository: https://hg.mozilla.org/integration/mozilla-inbound
2016-08-12T14:09:31: INFO : platform_version: 48.0a1
2016-08-12T14:09:32: INFO : [4132] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/base/nsTraceRefcnt.cpp, line 174
2016-08-12T14:09:32: INFO : [4132] WARNING: XPCOM objects created/destroyed from static ctor/dtor: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/base/nsTraceRefcnt.cpp, line 174
2016-08-12T14:09:32: INFO : [4132] WARNING: Failed to load startupcache file correctly, removing!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/startupcache/StartupCache.cpp, line 228
2016-08-12T14:09:32: INFO : [4132] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 112
2016-08-12T14:09:32: INFO : [4132] WARNING: CheckLinkStatus called on main thread! No check performed. Assuming link is up, status is unknown.: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/netwerk/system/win32/nsNotifyAddrListener.cpp, line 558
2016-08-12T14:09:32: INFO : [4132] WARNING: This method is lossy. Use GetCanonicalPath !: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/io/nsLocalFileWin.cpp, line 3457
2016-08-12T14:09:34: INFO : [4132] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/extensions/cookie/nsPermissionManager.cpp, line 2597
2016-08-12T14:09:34: INFO : ++DOCSHELL 10F9C800 == 1 [pid = 4132] [id = 1]
2016-08-12T14:09:34: INFO : ++DOMWINDOW == 1 (10F9CC00) [pid = 4132] [serial = 1] [outer = 00000000]
2016-08-12T14:09:34: INFO : [4132] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:34: INFO : ++DOMWINDOW == 2 (10F9D800) [pid = 4132] [serial = 2] [outer = 10F9CC00]
2016-08-12T14:09:34: INFO : ++DOCSHELL 115C5800 == 2 [pid = 4132] [id = 2]
2016-08-12T14:09:34: INFO : ++DOMWINDOW == 3 (115C5C00) [pid = 4132] [serial = 3] [outer = 00000000]
2016-08-12T14:09:34: INFO : [4132] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:34: INFO : ++DOMWINDOW == 4 (115C6800) [pid = 4132] [serial = 4] [outer = 115C5C00]
2016-08-12T14:09:35: INFO : [4132] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 623
2016-08-12T14:09:35: INFO : [4132] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 623
2016-08-12T14:09:35: INFO : ++DOCSHELL 1C065400 == 3 [pid = 4132] [id = 3]
2016-08-12T14:09:35: INFO : ++DOMWINDOW == 5 (1C06FC00) [pid = 4132] [serial = 5] [outer = 00000000]
2016-08-12T14:09:35: INFO : [4132] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:35: INFO : ++DOMWINDOW == 6 (1C070800) [pid = 4132] [serial = 6] [outer = 1C06FC00]
2016-08-12T14:09:36: INFO : ++DOMWINDOW == 7 (1C1E7000) [pid = 4132] [serial = 7] [outer = 115C5C00]
2016-08-12T14:09:36: INFO : [Parent 4132] WARNING: Failed to retarget HTML data delivery to the parser thread.: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/parser/html/nsHtml5StreamParser.cpp, line 967
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/toolkit/xre/nsXREDirProvider.cpp, line 1476
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 112
2016-08-12T14:09:37: INFO : ++DOCSHELL 0BAB9000 == 1 [pid = 4160] [id = 1]
2016-08-12T14:09:37: INFO : ++DOMWINDOW == 1 (0BAB9400) [pid = 4160] [serial = 1] [outer = 00000000]
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:37: INFO : ++DOMWINDOW == 2 (14722C00) [pid = 4160] [serial = 2] [outer = 0BAB9400]
2016-08-12T14:09:37: INFO : ++DOMWINDOW == 3 (1472B000) [pid = 4160] [serial = 3] [outer = 0BAB9400]
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 198
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 265
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 198
2016-08-12T14:09:37: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 265
2016-08-12T14:09:37: INFO : ++DOCSHELL 2175A400 == 4 [pid = 4132] [id = 4]
2016-08-12T14:09:37: INFO : ++DOMWINDOW == 8 (2175DC00) [pid = 4132] [serial = 8] [outer = 00000000]
2016-08-12T14:09:37: INFO : ++DOCSHELL 2175E000 == 5 [pid = 4132] [id = 5]
2016-08-12T14:09:37: INFO : ++DOMWINDOW == 9 (2175E400) [pid = 4132] [serial = 9] [outer = 00000000]
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 623
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: getting z level of unregistered window: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpfe/appshell/nsWindowMediator.cpp, line 623
2016-08-12T14:09:38: INFO : [Child 4160] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 343
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 343
2016-08-12T14:09:38: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(context) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/threads/nsThread.cpp, line 805
2016-08-12T14:09:38: INFO : [Child 4160] WARNING: NS_ENSURE_TRUE(context) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/threads/nsThread.cpp, line 805
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: pipe error: 109: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 343
2016-08-12T14:09:38: INFO : --DOCSHELL 0BAB9000 == 0 [pid = 4160] [id = 1]
2016-08-12T14:09:38: INFO : --DOMWINDOW == 2 (0BAB9400) [pid = 4160] [serial = 1] [outer = 00000000] [url = chrome://gfxsanity/content/sanitytest.html]
2016-08-12T14:09:38: INFO : --DOMWINDOW == 1 (14722C00) [pid = 4160] [serial = 2] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:38: INFO : --DOMWINDOW == 0 (1472B000) [pid = 4160] [serial = 3] [outer = 00000000] [url = chrome://gfxsanity/content/sanitytest.html]
2016-08-12T14:09:38: INFO : [Child 4160] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 299
2016-08-12T14:09:38: INFO : [Child 4160] WARNING: '!mMainThread', file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/threads/nsThreadManager.cpp, line 299
2016-08-12T14:09:38: INFO : nsStringStats
2016-08-12T14:09:38: INFO :  => mAllocCount:          14532
2016-08-12T14:09:38: INFO :  => mReallocCount:          182
2016-08-12T14:09:38: INFO :  => mFreeCount:           14532
2016-08-12T14:09:38: INFO :  => mShareCount:           9829
2016-08-12T14:09:38: INFO :  => mAdoptCount:            408
2016-08-12T14:09:38: INFO :  => mAdoptFreeCount:        408
2016-08-12T14:09:38: INFO :  => Process ID: 4160, Thread ID: 4168
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsFrameLoader.cpp, line 272
2016-08-12T14:09:38: INFO : ++DOCSHELL 2236D000 == 6 [pid = 4132] [id = 6]
2016-08-12T14:09:38: INFO : ++DOMWINDOW == 10 (2236D400) [pid = 4132] [serial = 10] [outer = 00000000]
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsFrameLoader.cpp, line 272
2016-08-12T14:09:38: INFO : [Parent 4132] WARNING: Couldn't create child process for iframe.: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsFrameLoader.cpp, line 336
2016-08-12T14:09:38: INFO : ++DOMWINDOW == 11 (22376000) [pid = 4132] [serial = 11] [outer = 2236D400]
2016-08-12T14:09:38: INFO : ++DOMWINDOW == 12 (2260E800) [pid = 4132] [serial = 12] [outer = 2175DC00]
2016-08-12T14:09:38: INFO : ++DOMWINDOW == 13 (22610000) [pid = 4132] [serial = 13] [outer = 2175E400]
2016-08-12T14:09:38: INFO : ++DOMWINDOW == 14 (222E0400) [pid = 4132] [serial = 14] [outer = 2236D400]
2016-08-12T14:09:41: INFO : ++DOCSHELL 2583BC00 == 7 [pid = 4132] [id = 7]
2016-08-12T14:09:41: INFO : ++DOMWINDOW == 15 (23649C00) [pid = 4132] [serial = 15] [outer = 00000000]
2016-08-12T14:09:41: INFO : ++DOMWINDOW == 16 (1AE04800) [pid = 4132] [serial = 16] [outer = 23649C00]
2016-08-12T14:09:41: INFO : ++DOMWINDOW == 17 (0F850000) [pid = 4132] [serial = 17] [outer = 23649C00]
2016-08-12T14:09:41: INFO : [Child 5404] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/toolkit/xre/nsXREDirProvider.cpp, line 1476
2016-08-12T14:09:41: INFO : [Child 5404] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/xpcom/base/nsSystemInfo.cpp, line 112
2016-08-12T14:09:42: INFO : ++DOCSHELL 0B9BFC00 == 1 [pid = 5404] [id = 1]
2016-08-12T14:09:42: INFO : ++DOMWINDOW == 1 (0B9C0000) [pid = 5404] [serial = 1] [outer = 00000000]
2016-08-12T14:09:42: INFO : [Child 5404] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:42: INFO : ++DOMWINDOW == 2 (13A34000) [pid = 5404] [serial = 2] [outer = 0B9C0000]
2016-08-12T14:09:42: INFO : ++DOCSHELL 131B7400 == 2 [pid = 5404] [id = 2]
2016-08-12T14:09:42: INFO : ++DOMWINDOW == 3 (131B8400) [pid = 5404] [serial = 3] [outer = 00000000]
2016-08-12T14:09:42: INFO : [Child 5404] WARNING: No inner window available!: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/base/nsGlobalWindow.cpp, line 9777
2016-08-12T14:09:42: INFO : ++DOMWINDOW == 4 (131BB800) [pid = 5404] [serial = 4] [outer = 131B8400]
2016-08-12T14:09:43: INFO : [Parent 4132] WARNING: Could not get disk status from nsIDiskSpaceWatcher: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/uriloader/prefetch/nsOfflineCacheUpdateService.cpp, line 283
2016-08-12T14:09:43: INFO : ++DOMWINDOW == 5 (13250400) [pid = 5404] [serial = 5] [outer = 0B9C0000]
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: attempt to modify an immutable nsStandardURL: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/netwerk/base/nsStandardURL.cpp, line 1354
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 198
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 265
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 198
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 265
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 198
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(startupCache) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/xbl/nsXBLDocumentInfo.cpp, line 265
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(editor) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/editor/libeditor/nsEditorCommands.cpp, line 584
2016-08-12T14:09:43: INFO : [Parent 4132] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80070057: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/dom/quota/ActorsParent.cpp, line 4078
2016-08-12T14:09:44: INFO : --DOCSHELL 10F9C800 == 6 [pid = 4132] [id = 1]
2016-08-12T14:09:44: INFO : ++DOMWINDOW == 6 (1333A800) [pid = 5404] [serial = 6] [outer = 131B8400]
2016-08-12T14:09:45: INFO : [Parent 4132] WARNING: Appending an extra chunk for SourceBuffer: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/image/SourceBuffer.cpp, line 70
2016-08-12T14:09:45: INFO : [Parent 4132] WARNING: Appending an extra chunk for SourceBuffer: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/image/SourceBuffer.cpp, line 70
2016-08-12T14:09:45: INFO : [Parent 4132] WARNING: Appending an extra chunk for SourceBuffer: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/image/SourceBuffer.cpp, line 70
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : ++DOCSHELL 10662800 == 7 [pid = 4132] [id = 8]
2016-08-12T14:09:46: INFO : ++DOMWINDOW == 18 (10663800) [pid = 4132] [serial = 18] [outer = 00000000]
2016-08-12T14:09:46: INFO : ++DOMWINDOW == 19 (10664400) [pid = 4132] [serial = 19] [outer = 10663800]
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : [Child 5404] WARNING: Using default font: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/gfx/thebes/gfxDWriteFonts.cpp, line 113
2016-08-12T14:09:46: INFO : --DOCSHELL 2236D000 == 6 [pid = 4132] [id = 6]
2016-08-12T14:09:46: INFO : ++DOMWINDOW == 20 (1058F000) [pid = 4132] [serial = 20] [outer = 10663800]
2016-08-12T14:09:46: INFO : ++DOCSHELL 0F6DE000 == 7 [pid = 4132] [id = 9]
2016-08-12T14:09:46: INFO : ++DOMWINDOW == 21 (10EF0800) [pid = 4132] [serial = 21] [outer = 00000000]
2016-08-12T14:09:46: INFO : ++DOMWINDOW == 22 (113E4400) [pid = 4132] [serial = 22] [outer = 10EF0800]
2016-08-12T14:09:48: INFO : ++DOMWINDOW == 23 (1C09B400) [pid = 4132] [serial = 23] [outer = 10EF0800]
2016-08-12T14:09:53: INFO : --DOCSHELL 0B9BFC00 == 1 [pid = 5404] [id = 1]
2016-08-12T14:09:53: INFO : --DOMWINDOW == 22 (2236D400) [pid = 4132] [serial = 10] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:57: INFO : [Child 5404] WARNING: site security information will not be persisted: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/security/manager/ssl/nsSiteSecurityService.cpp, line 253
2016-08-12T14:09:57: INFO : ++DOMWINDOW == 7 (0B0A0C00) [pid = 5404] [serial = 7] [outer = 131B8400]
2016-08-12T14:09:58: INFO : JavaScript warning: https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js, line 1: Using //@ to indicate sourceMappingURL pragmas is deprecated. Use //# instead
2016-08-12T14:09:59: INFO : --DOMWINDOW == 21 (1AE04800) [pid = 4132] [serial = 16] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:59: INFO : --DOMWINDOW == 20 (222E0400) [pid = 4132] [serial = 14] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:59: INFO : --DOMWINDOW == 19 (22376000) [pid = 4132] [serial = 11] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:59: INFO : --DOMWINDOW == 18 (115C6800) [pid = 4132] [serial = 4] [outer = 00000000] [url = about:blank]
2016-08-12T14:09:59: INFO : --DOMWINDOW == 6 (0B9C0000) [pid = 5404] [serial = 1] [outer = 00000000] [url = about:home]
2016-08-12T14:10:00: INFO : [Child 5404] WARNING: NS_ENSURE_TRUE(aIndex >= 0 && (uint32_t) aIndex < mRowCount) failed: file c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/toolkit/components/autocomplete/nsAutoCompleteController.cpp, line 1925
2016-08-12T14:10:00: INFO : JavaScript error: resource://gre/modules/LoginManagerParent.jsm, line 78: TypeError: this._recipeManager is null
2016-08-12T14:10:00: INFO : Assertion failure: mNativeKeyCommandsValid, at c:/builds/moz2_slave/m-in-w32-d-0000000000000000000/build/src/widget/PuppetWidget.cpp:528
2016-08-12T14:10:00: INFO : #01: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x18f12ac]
2016-08-12T14:10:00: INFO : #02: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x182b15b]
2016-08-12T14:10:00: INFO : #03: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x182af02]
2016-08-12T14:10:00: INFO : #04: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x18169b6]
2016-08-12T14:10:00: INFO : #05: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1816a84]
2016-08-12T14:10:00: INFO : #06: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1816b86]
2016-08-12T14:10:00: INFO : #07: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1816c75]
2016-08-12T14:10:00: INFO : #08: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1810ced]
2016-08-12T14:10:00: INFO : #09: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x212109b]
2016-08-12T14:10:00: INFO : #10: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x212e0ad]
2016-08-12T14:10:00: INFO : #11: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x211bfe8]
2016-08-12T14:10:00: INFO : #12: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x212dcca]
2016-08-12T14:10:00: INFO : #13: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x212d5b3]
2016-08-12T14:10:00: INFO : #14: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1e9b494]
2016-08-12T14:10:00: INFO : #15: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1e9a0a2]
2016-08-12T14:10:00: INFO : #16: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1eab6fa]
2016-08-12T14:10:00: INFO : #17: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x211ba91]
2016-08-12T14:10:00: INFO : #18: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x21204c5]
2016-08-12T14:10:00: INFO : #19: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0xf0d55d]
2016-08-12T14:10:00: INFO : #20: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0xf2fdd9]
2016-08-12T14:10:00: INFO : #21: XRE_AddStaticComponent[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x214237]
2016-08-12T14:10:00: INFO : #22: NS_StringSetIsVoid[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x2438c7]
2016-08-12T14:10:00: INFO : #23: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x616e2f]
2016-08-12T14:10:00: INFO : #24: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x616f5b]
2016-08-12T14:10:00: INFO : #25: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8f7d]
2016-08-12T14:10:00: INFO : #26: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8f35]
2016-08-12T14:10:00: INFO : #27: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8c8e]
2016-08-12T14:10:00: INFO : #28: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1ec172b]
2016-08-12T14:10:00: INFO : #29: imgLoader::SupportImageWithMimeType[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x1f16276]
2016-08-12T14:10:00: INFO : #30: XRE_RunAppShell[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x26f9bea]
2016-08-12T14:10:00: INFO : #31: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x616e92]
2016-08-12T14:10:00: INFO : #32: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8f7d]
2016-08-12T14:10:00: INFO : #33: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8f35]
2016-08-12T14:10:00: INFO : #34: mozilla::LoadInfo::TriggeringPrincipal[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x5e8c8e]
2016-08-12T14:10:00: INFO : #35: XRE_InitChildProcess[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\xul.dll +0x26f9765]
2016-08-12T14:10:00: INFO : #36: ???[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\plugin-container.exe +0x5f26]
2016-08-12T14:10:00: INFO : #37: ???[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\plugin-container.exe +0x6295]
2016-08-12T14:10:00: INFO : #38: TargetNtUnmapViewOfSection[c:\users\internet.pd\appdata\local\temp\tmpxwlpxe\firefox\plugin-container.exe +0x4543c]
2016-08-12T14:10:00: INFO : #39: BaseThreadInitThunk[C:\Windows\syswow64\kernel32.dll +0x133aa]
2016-08-12T14:10:00: INFO : #40: RtlInitializeExceptionChain[C:\Windows\SysWOW64\ntdll.dll +0x39f72]
2016-08-12T14:10:00: INFO : #41: RtlInitializeExceptionChain[C:\Windows\SysWOW64\ntdll.dll +0x39f45]
2016-08-12T14:10:00: INFO : 
2016-08-12T14:10:00: INFO : ###!!! [Parent][MessageChannel] Error: (msgtype=0x2C0076,name=PBrowser::Msg_Destroy) Channel error: cannot send/recv
2016-08-12T14:10:00: INFO : 
2016-08-12T14:10:00: INFO : ++DOCSHELL 1AE05400 == 8 [pid = 4132] [id = 10]
2016-08-12T14:10:00: INFO : ++DOMWINDOW == 19 (1AE06400) [pid = 4132] [serial = 24] [outer = 00000000]
2016-08-12T14:10:00: INFO : ++DOMWINDOW == 20 (1AEEFC00) [pid = 4132] [serial = 25] [outer = 1AE06400]
2016-08-12T14:10:01: INFO : ++DOMWINDOW == 21 (1C023400) [pid = 4132] [serial = 26] [outer = 1AE06400]
2016-08-12T14:10:05: INFO : Stopped

This is my Firefox local installation infos, when error is occurred:
[App]
Vendor=Mozilla
Name=Firefox
RemotingName=firefox
Version=48.0
BuildID=20160726073904
SourceRepository=https://hg.mozilla.org/releases/mozilla-release
SourceStamp=c1de04f39fa956cfce83f6065b0e709369215ed5
ID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}

[Gecko]
MinVersion=48.0
MaxVersion=48.0

[XRE]
EnableProfileMigrator=1

[Crash Reporter]
Enabled=1
ServerURL=https://crash-reports.mozilla.com/submit?id={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&version=48.0&buildid=20160726073904
Unfortunately this isn't a helpful way of using mozregression. What we need is to know when things broke. There were tens of thousands of changes between 47 and 48. We need to know which one caused the problem, so we need to bisect the range (47 to 48) that you gave.

So please use File > Run a new bisection, and use "opt" rather than "debug", leave the 'repository' field blank and the others as they started. Don't use a profile, just in the "build selection" screen, use "release" in the dropdown on the right and set 'last known good build' to 47, and 'first known bad build' to 48 (leave 'search for fix' unticked).

(We would do this ourselves, but if we can't reproduce the problem it's not possible for us to do it.)
Severity: critical → normal
Component: General → Untriaged
Product: Firefox → Core
I don't reproduce the problem using mozregression with Nightly versions. I make the tests using mozregression good build 47 and bad build 48, five builds tested always good pass.

2016-08-15T08:29:54: INFO : application_buildid: 20160328030215
2016-08-15T08:30:28: INFO : application_buildid: 20160408030212
2016-08-15T08:30:58: INFO : application_buildid: 20160413030239
2016-08-15T08:31:38: INFO : application_buildid: 20160416030220
2016-08-15T08:32:02: INFO : application_buildid: 20160417030601

But if I use the release version 48.0, reproduce the problem with success. I download the release version 48.0 from here, with win32 or win64 platforms: https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0

Win32:
https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0/win32/pt-BR/

Win64:
https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0/win64/pt-BR/
(In reply to Maicon Schelter from comment #6)
> I don't reproduce the problem using mozregression with Nightly versions. I
> make the tests using mozregression good build 47 and bad build 48, five
> builds tested always good pass.
> 
> 2016-08-15T08:29:54: INFO : application_buildid: 20160328030215
> 2016-08-15T08:30:28: INFO : application_buildid: 20160408030212
> 2016-08-15T08:30:58: INFO : application_buildid: 20160413030239
> 2016-08-15T08:31:38: INFO : application_buildid: 20160416030220
> 2016-08-15T08:32:02: INFO : application_buildid: 20160417030601
> 
> But if I use the release version 48.0, reproduce the problem with success. I
> download the release version 48.0 from here, with win32 or win64 platforms:
> https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0
> 
> Win32:
> https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0/win32/
> pt-BR/
> 
> Win64:
> https://download-installer.cdn.mozilla.net/pub/firefox/releases/48.0/win64/
> pt-BR/

Are you perhaps using your normal profile with the release builds you download, and a clean new profile with the nightly builds? Can you try a clean profile for the release build ( https://support.mozilla.org/kb/profile-manager-create-and-remove-firefox-profiles ) ?
Perfect, I know simulate the problem, cleaning up profile before start Nightly builds. The problem start occurred in version 48.0a1 from 2016-03-28, after this build the problem occurred in all versions.

Good Build (No Problem):
2016-03-06--mozilla-central--firefox-47.0a1.en-US.win32.zip

Bad Build (Problems Here):
2016-03-28--mozilla-central--firefox-48.0a1.en-US.win32.zip

After download the build from mozregression, I started Firefox with command line "C:\Users\internet.pd\.mozilla\mozregression\persist\firefox\firefox.exe" -P and DELETE profile. In next step I started Firefox normally and simulate the problem.
(In reply to Maicon Schelter from comment #8)
> Perfect, I know simulate the problem, cleaning up profile before start
> Nightly builds. The problem start occurred in version 48.0a1 from
> 2016-03-28, after this build the problem occurred in all versions.
> 
> Good Build (No Problem):
> 2016-03-06--mozilla-central--firefox-47.0a1.en-US.win32.zip
> 
> Bad Build (Problems Here):
> 2016-03-28--mozilla-central--firefox-48.0a1.en-US.win32.zip
> 
> After download the build from mozregression, I started Firefox with command
> line
> "C:\Users\internet.pd\.mozilla\mozregression\persist\firefox\firefox.exe" -P
> and DELETE profile. In next step I started Firefox normally and simulate the
> problem.

Sorry, I don't follow. How is this testing the builds from mozregression? What happened on the builds between 03-06 and 03-28 ?
(In reply to :Gijs Kruitbosch (PTO recovery mode) from comment #9)
> (In reply to Maicon Schelter from comment #8)
> > Perfect, I know simulate the problem, cleaning up profile before start
> > Nightly builds. The problem start occurred in version 48.0a1 from
> > 2016-03-28, after this build the problem occurred in all versions.
> > 
> > Good Build (No Problem):
> > 2016-03-06--mozilla-central--firefox-47.0a1.en-US.win32.zip
> > 
> > Bad Build (Problems Here):
> > 2016-03-28--mozilla-central--firefox-48.0a1.en-US.win32.zip
> > 
> > After download the build from mozregression, I started Firefox with command
> > line
> > "C:\Users\internet.pd\.mozilla\mozregression\persist\firefox\firefox.exe" -P
> > and DELETE profile. In next step I started Firefox normally and simulate the
> > problem.
> 
> Sorry, I don't follow. How is this testing the builds from mozregression?
> What happened on the builds between 03-06 and 03-28 ?

Ok, explaining. I make the tests using mozregression with good build 47 and bad build 48. In build 47 from date 2016-03-06 the problem not occurred, but in build 48 from date 2016-03-28 the problem occurred. To reproduce the tests you need start the firefox.exe using parameter -P, in mozregression it's isn't possible, then you need wait mozregression download these versions, access the data folder of versions, unzip the build and test using firefox.exe -P.
(In reply to Maicon Schelter from comment #10)
> To reproduce the
> tests you need start the firefox.exe using parameter -P, in mozregression
> it's isn't possible

It is. You can use the --profile switch of mozregression and pass it the path/to/your/profile (escaped for the commandline where necessary). Or if you're using the GUI version, on the screen that asks for your profile, browse to the profile there.
Ok, but the problem not occurred if I use the profile. I test in MacOsX too but not occurred, only in Windows x86 or x64 versions.

See the video to test on Windows platform with GUI version of mozregression here:
https://www.dropbox.com/s/vbfso00mlzno7yw/HowToBugFirefox.avi?dl=0
Guys please, we can reproduce the problem now? I have too many scripts in my applications with this problem and have too many users using the Mozilla Firefox with these web applications.

The problem not occurred in MacOsX or Linux, tested in MacOsX Yosemite and El Captan, in Linux Ubuntu 12 and 14 LTS. In Windows, tested in Windows XP, Windows 7 and Windows 10 x86 and x64.
(In reply to Maicon Schelter from comment #13)
> Guys please, we can reproduce the problem now? I have too many scripts in my
> applications with this problem and have too many users using the Mozilla
> Firefox with these web applications.

But of course not every user of your application has your profile, right? And you could not reproduce the problem in a clean profile?

> The problem not occurred in MacOsX or Linux, tested in MacOsX Yosemite and
> El Captan, in Linux Ubuntu 12 and 14 LTS. In Windows, tested in Windows XP,
> Windows 7 and Windows 10 x86 and x64.

I think right now you're the only person who has managed to reproduce the problem, and therefore you're also the only person who can find a proper regression window with mozregression.

(In reply to Maicon Schelter from comment #12)
> Ok, but the problem not occurred if I use the profile.

But in comment #10 you said it did happen with your normal profile. Which is it?
good news.

I can reproduce it with clean profile on windows XP.
not sure if it's the same issue as Windows 7's case tho, will investigate it.
this issue happens only on non-e10s.
Here's regression window, tested on non-e10s:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=3cab27bc9f80229939d5bb57372ec3745c216366&tochange=8786bbb9702f808a01ae45a5153440a7c44699fb

looks like a regression from bug 1258153.
Blocks: 1258153
Component: Untriaged → Widget: Win32
Flags: needinfo?(maiconschelter)
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: regression
Thanks, arai!

m_kato or masayuki, any chance you're able to investigate why this broke and/or how to fix it?
Flags: needinfo?(masayuki)
Flags: needinfo?(m_kato)
Summary: document keydown event with dom select() function after syncrhonous ajax → [non-e10s] document keydown event with dom select() function after syncrhonous ajax
Thank you guys!

I'm only reproduce the problem in a clean profile, in else not occur. If you make the steps showing in video, you reproduce exactly the problem in Windows 7 too. I remove all data from default profile to simulate the problem.
If it's really a regression of bug 1258153, it seems that we receive WM_CHAR whose wParam is 0 (or something which char will be replaced as empty string in single line editor) after Select() and WM_KEYDOWN.

So, possible fix is, NativeKey should do nothing when WM_CHAR receives specific charCode. (Perhaps, in NativeKey::HandleCharMessage())
Flags: needinfo?(masayuki)
(In reply to Tooru Fujisawa [:arai] from comment #18)
> Created attachment 8783205 [details]
> testcase from comment #0

Odd... I cannot reproduce it on Win 10 even in non-e10s mode...
(In reply to Masayuki Nakano [:masayuki] (Mozilla Japan) from comment #22)
> (In reply to Tooru Fujisawa [:arai] from comment #18)
> > Created attachment 8783205 [details]
> > testcase from comment #0
> 
> Odd... I cannot reproduce it on Win 10 even in non-e10s mode...

I also cannot reproduce it from the URL.
Can you save the file and open from local file?
Thank you, I reproduced it! And I confirmed that my patch fixes the bug.

But I still don't understand what's the cause. I'll investigate the cause before requesting review.
Flags: needinfo?(m_kato)
Very odd behavior! While NativeKey event dispatches an eKeyDown event, NativeKey receives WM_CHAR. Therefore, eKeyPress event is fired twice.

This bug is caused by first eKeyPress event which is initialized as a printable character but charCode is 0x0D.
As the regression landed 5 months ago and this is the first time we hear about it, it doesn't seem super critical. However, happy to take a safe uplift into 49.
(In reply to Sylvestre Ledru [:sylvestre] from comment #27)
> As the regression landed 5 months ago and this is the first time we hear
> about it, it doesn't seem super critical. However, happy to take a safe
> uplift into 49.

Now, I created two patches. The first patch will fix only the regression part of this bug. And the other fixes long standing bug of key message handling on Windows. Fortunately, the former is very low risk and the latter is pretty high risk. So, we can take only the first patch into Beta.
The second patch might affect to bug 962140 (either worse or better).

And also it might change the symptom of bug 1293505.
(In reply to Masayuki Nakano [:masayuki] (Mozilla Japan) from comment #21)
> If it's really a regression of bug 1258153, it seems that we receive WM_CHAR
> whose wParam is 0 (or something which char will be replaced as empty string
> in single line editor) after Select() and WM_KEYDOWN.
> 
> So, possible fix is, NativeKey should do nothing when WM_CHAR receives
> specific charCode. (Perhaps, in NativeKey::HandleCharMessage())

This is the code clear the input? Because not only return here?

aNativeKey.mCommittedCharsAndModifiers.Clear();
(In reply to Maicon Schelter from comment #31)
> (In reply to Masayuki Nakano [:masayuki] (Mozilla Japan) from comment #21)
> > If it's really a regression of bug 1258153, it seems that we receive WM_CHAR
> > whose wParam is 0 (or something which char will be replaced as empty string
> > in single line editor) after Select() and WM_KEYDOWN.
> > 
> > So, possible fix is, NativeKey should do nothing when WM_CHAR receives
> > specific charCode. (Perhaps, in NativeKey::HandleCharMessage())
> 
> This is the code clear the input? Because not only return here?
> 
> aNativeKey.mCommittedCharsAndModifiers.Clear();

Yes, editor receives empty string input event. Therefore, empty string replaces the selected text, it looks like removing the selected text.
Whiteboard: tpi:-
Summary: [non-e10s] document keydown event with dom select() function after syncrhonous ajax → [non-e10s] document keydown event with dom select() function after synchronous ajax
Assignee: nobody → masayuki
Status: NEW → ASSIGNED
FYI: I'll request to uplift only part.1 because it's partially backout the cause but part.2 changes the design of NativeKey class aggressively, so, it's too risky.
See Also: → 1297736
Comment on attachment 8784695 [details]
Bug 1294536 part.2 NativeKey should remove following char messages before dispatching a keydown event

Canceling this review because there are some similar regressions. So, this patch will block to write patches and test in Nightly builds. We should take this patch after all regressions are fixed. So, we should take only part.1 from this bug.
Attachment #8784695 - Flags: review?(m_kato)
Attachment #8784694 - Attachment is obsolete: true
Attachment #8784694 - Flags: review?(m_kato)
Comment on attachment 8784848 [details]
Bug 1294536 KeyboardLayout::InitNativeKey() shouldn't initialize NativeKey with WM_CHAR whose wParam isn't a printable character

https://reviewboard.mozilla.org/r/74156/#review72240
Attachment #8784848 - Flags: review?(m_kato) → review+
Pushed by masayuki@d-toybox.com:
https://hg.mozilla.org/integration/autoland/rev/9a5808908b11
KeyboardLayout::InitNativeKey() shouldn't initialize NativeKey with WM_CHAR whose wParam isn't a printable character r=m_kato
https://hg.mozilla.org/mozilla-central/rev/9a5808908b11
Status: ASSIGNED → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla51
Please request uplift to 50 and possibly 49.
Flags: needinfo?(m_kato)
Flags: needinfo?(m_kato) → needinfo?(masayuki)
Comment on attachment 8784848 [details]
Bug 1294536 KeyboardLayout::InitNativeKey() shouldn't initialize NativeKey with WM_CHAR whose wParam isn't a printable character

Approval Request Comment
[Feature/regressing bug #]: Bug 1294536
[User impact if declined]: With synchronous XHR or modal dialog of JS (e.g., alert()), widget for Windows may dispatch keypress event with a control character. That may cause removing current selection in focused editor.
[Describe test coverage new/current, TreeHerder]: Landed on m-c.
[Risks and why]: Low because this just prevents to run new path added by bug 1294536 when native input event is for a control character. So, that means that this is a partial backout of bug 1294536.
[String/UUID change made/needed]: Nothing.
Flags: needinfo?(masayuki)
Attachment #8784848 - Flags: approval-mozilla-beta?
Attachment #8784848 - Flags: approval-mozilla-aurora?
(In reply to Masayuki Nakano [:masayuki] (Mozilla Japan) from comment #44)
> Comment on attachment 8784848 [details]
> Bug 1294536 KeyboardLayout::InitNativeKey() shouldn't initialize NativeKey
> with WM_CHAR whose wParam isn't a printable character
> 
> Approval Request Comment
> [Feature/regressing bug #]: Bug 1294536
> [User impact if declined]: With synchronous XHR or modal dialog of JS (e.g.,
> alert()), widget for Windows may dispatch keypress event with a control
> character. That may cause removing current selection in focused editor.
> [Describe test coverage new/current, TreeHerder]: Landed on m-c.
> [Risks and why]: Low because this just prevents to run new path added by bug
> 1294536 when native input event is for a control character. So, that means
> that this is a partial backout of bug 1294536.
> [String/UUID change made/needed]: Nothing.

Oops, I meant bug 1258153, not bug 1294536.
Comment on attachment 8784848 [details]
Bug 1294536 KeyboardLayout::InitNativeKey() shouldn't initialize NativeKey with WM_CHAR whose wParam isn't a printable character

Regression from 48. We need Windows users to be able to edit properly, let's take this partial backout.
Attachment #8784848 - Flags: approval-mozilla-beta?
Attachment #8784848 - Flags: approval-mozilla-beta+
Attachment #8784848 - Flags: approval-mozilla-aurora?
Attachment #8784848 - Flags: approval-mozilla-aurora+
Please, we can merge this correction to version 48?
(In reply to Maicon Schelter from comment #49)
> Please, we can merge this correction to version 48?

Version 49 is scheduled for release next week. This issue isn't severe enough to have a dot-release (48.0.1/2/3...) for, this late in the 48 cycle. So no, this won't be corrected in 48.
You need to log in before you can comment on or make changes to this bug.